Subject: Re: Machine check in 4xx ethernet driver

From: Felix Radensky <[email-masked]>
Date: Mon, 9 Mar 2009 03:53:25 -0700 (PDT)

Josh Boyer-4 wrote:
> 
> On Mon, Mar 09, 2009 at 12:47:02AM -0700, Felix Radensky wrote:
>>
>>Hi,
>>
>>I'm getting machine check exception when trying to dump
>>emac registers on 405EX Kilauea board. The kernel is 2.6.29-rc7
>>The problem seems not new, I can reproduce it on 2.6.25 Denx kernel
> 
> I've not looked at what that code path does, but the EMAC regs are
> in DCR space, not MMIO.  Using memcpy_fromio there seems odd.
> 
> 

At least on 405EX MAL registers are in DCR space, but EMAC and RGMII
ones are in MMIO space.

-- 
View this message in context: http://www.nabble.com/Machine-check-in-4xx-ethernet-driver-tp22408005p22410889.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.